Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Interconnect
    • Overview
    • Operation overview
    • Terminology
    • Points of presence
    • Transceivers
    • Trunk
    • Private connection
    • Public connection
    • CIC partners
    • Monitoring
    • Data size and connection capacity
    • Quotas and limits
  • Pricing policy
  • Access management
    • API authentication
      • Overview
        • Overview
        • Get
        • BatchGet
        • List
        • Update
        • Delete
        • ListPrivateConnections
        • ListPublicConnections
        • Move
        • ListOperations
  • Release notes

In this article:

  • gRPC request
  • ListTrunkConnectionPrivateConnectionsRequest
  • ListTrunkConnectionPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute
  1. API reference
  2. gRPC
  3. TrunkConnection
  4. ListPrivateConnections

Cloud Interconnect API, gRPC: TrunkConnectionService.ListPrivateConnections

Written by
Yandex Cloud
Updated at May 29, 2026
  • gRPC request
  • ListTrunkConnectionPrivateConnectionsRequest
  • ListTrunkConnectionPrivateConnectionsResponse
  • PrivateConnection
  • Peering
  • StaticRoute

Retrieves the list of PrivateConnection resources associated with the specified TrunkConnection.

gRPC requestgRPC request

rpc ListPrivateConnections (ListTrunkConnectionPrivateConnectionsRequest) returns (ListTrunkConnectionPrivateConnectionsResponse)

ListTrunkConnectionPrivateConnectionsRequestListTrunkConnectionPrivateConnectionsRequest

{
  "trunk_connection_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

trunk_connection_id

string

Required field. ID of the TrunkConnection resource.
To get the trunkConnection ID use a TrunkConnectionService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListTrunkConnectionPrivateConnectionsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListTrunkConnectionPrivateConnectionsResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 100.

filter

string

A filter expression that filters resources listed in the response.

The maximum string length in characters is 1000.

ListTrunkConnectionPrivateConnectionsResponseListTrunkConnectionPrivateConnectionsResponse

{
  "private_connections": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "folder_id": "string",
      "trunk_connection_id": "string",
      "vlan_id": "google.protobuf.Int64Value",
      "ipv4_peering": {
        "peering_subnet": "string",
        "peer_ip": "string",
        "cloud_ip": "string",
        "peer_bgp_asn": "int64",
        "cloud_bgp_asn": "int64",
        "peer_bgp_md5_key": "string"
      },
      "ipv4_static_routes": [
        {
          "prefix": "string"
        }
      ],
      "labels": "map<string, string>",
      "status": "Status",
      "created_at": "google.protobuf.Timestamp"
    }
  ],
  "next_page_token": "string"
}

Field

Description

private_connections[]

PrivateConnection

List of PrivateConnection resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListTrunkConnectionPrivateConnectionsRequest.page_size, use
the next_page_token as the value
for the ListTrunkConnectionPrivateConnectionsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

PrivateConnectionPrivateConnection

A PrivateConnection resource.

Field

Description

id

string

ID of the privateConnection.

name

string

Name of the privateConnection.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Description of the privateConnection. 0-256 characters long.

folder_id

string

ID of the folder that the privateConnection belongs to.

trunk_connection_id

string

ID of the trunk_connection that the privateConnection belongs to.

vlan_id

google.protobuf.Int64Value

VLAN_ID that the privateConnection uses in multiplexing.
Not used in connections over partners-II
Value range: [1, 4095]

ipv4_peering

Peering

IPv4 peering config of connection

ipv4_static_routes[]

StaticRoute

IPv4 StaticRoute config of connection

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

status

enum Status

Status of the privateConnection.

  • CREATING
  • UPDATING
  • DELETING
  • ACTIVE

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

PeeringPeering

Field

Description

peering_subnet

string

PeeringSubnet.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

The maximum string length in characters is 50.

peer_ip

string

PeerIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

cloud_ip

string

CloudIp.
It's an ip with just an ipAddress format without mask.

The maximum string length in characters is 50.

peer_bgp_asn

int64

PeerBgpAsn.
PeerAsn excluding rfc5398 (excluding 64496 - 64511 and 65536 - 65551).

cloud_bgp_asn

int64

CloudBgpAsn.

peer_bgp_md5_key

string

PeerBgpMd5Key.
Optional.

The maximum string length in characters is 200.

StaticRouteStaticRoute

Field

Description

prefix

string

Prefix.
It's an ip with format ipPrefix/length where address part of ipPrefix is 0.

Was the article helpful?

Previous
Delete
Next
ListPublicConnections
© 2026 Direct Cursus Technology L.L.C.